Warning: file_exists(): open_basedir restriction in effect. File(/srv/http/vhosts/aur.archlinux.org/public/web/locale//en/LC_MESSAGES/aurweb.mo) is not within the allowed path(s): (/srv/http/vhosts/aur-dev.archlinux.org/:/etc/aurweb/) in /srv/http/vhosts/aur-dev.archlinux.org/public/web/lib/streams.php on line 90
AUR (en) - kodi-devel

Package Base Details: kodi-devel

Git Clone URL: https://aur-dev.archlinux.org/kodi-devel.git (read-only)
Submitter: alucryd
Maintainer: MarcinWieczorek
Last Packager: MarcinWieczorek
Votes: 24
Popularity: 1.120006
First Submitted: 2014-08-11 23:33
Last Updated: 2017-01-04 18:41

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 8 9 Next › Last »

graysky commented on 2014-11-05 20:04

@kapitan - Done, good catch. Also fixed a typo in kodi.install. Testing now on my machine.

kapitan-iglu commented on 2014-11-05 19:58

Also variable $_prefix is not defined. All files goes to / and xbmc is unable to start: "Unable to find path to Kodi data files!" Please add _prefix='/usr', thanx.

graysky commented on 2014-11-04 22:36

@kapitan-iglu - Fixed, thanks for the suggestions. Built me in a clean chroot.

kapitan-iglu commented on 2014-11-04 22:11

@Aerun:
libcec 2.2.0 is expected during build. Currently available in Community-Testing repo or use libcec-git from aur.

@graysky:
There is wrong path used in PKGBUILD on line 111:

'install -Dm755 $srcdir/$_gitname/tools/TexturePacker/TexturePacker \'

variable $_gitname is empty (not defined?) so it should be replaced by somethink like "xbmc-${pkgver}-Helix".

Please update depedencies in makedepends to libcec>=2.2.0 and package() function.

Aerun commented on 2014-11-04 10:10

Tried to build this but I got this error:

/home/****/Development/Builds/kodi-beta/src/xbmc-14.0b1-Helix/Makefile.include:93: recipe for target 'PeripheralCecAdapter.o' failed
make[1]: *** [PeripheralCecAdapter.o] Error 1
Makefile:517: recipe for target 'xbmc/peripherals/devices/peripheral-devices.a' failed
make: *** [xbmc/peripherals/devices/peripheral-devices.a] Error 2

Aerun commented on 2014-11-04 09:24

Just tried to build this and recieved this error:

/tmp/yaourt-tmp-****/aur-kodi-beta/src/xbmc-14.0b1-Helix/Makefile.include:93: recipe for target 'PeripheralCecAdapter.o' failed
make[1]: *** [PeripheralCecAdapter.o] Error 1
Makefile:517: recipe for target 'xbmc/peripherals/devices/peripheral-devices.a' failed
make: *** [xbmc/peripherals/devices/peripheral-devices.a] Error 2

graysky commented on 2014-10-18 15:40

Currently unavailable but according to a recent post, beta 1 will be tagged and released within a few weeks.[1]

1. http://xbmc.org/kodi-14-0-helix-nearing-beta-release/

alucryd commented on 2014-09-28 21:53

I did locally and totally forgot to upload the changes, sorry about the delay.

graysky commented on 2014-09-28 21:50

Need to update to a3.

alucryd commented on 2014-05-06 15:29

Sorry about that, I blindly updated the version and checksum. Thx for the report.